package com.wacom.signpro.pdf.api.example.json;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class SignatureBaseField extends BaseField {

    @SerializedName("signer")
    @Expose
    private String signer;

    @SerializedName("reason")
    @Expose
    private String reason;

    @SerializedName("type")
    @Expose
    private String type;

    @SerializedName("biometric")
    @Expose
    private Boolean biometric;

    @SerializedName("required")
    @Expose
    private Boolean required;

    @SerializedName("certificate")
    @Expose
    private Certificate certificate;

    @SerializedName("image")
    @Expose
    private Image image;

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getBiometric() {
        return biometric;
    }

    public void setBiometric(Boolean biometric) {
        this.biometric = biometric;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public Certificate getCertificate() {
        return this.certificate;
    }

    public void setCertificate(Certificate certificate) {
        this.certificate = certificate;
    }

    public Image getImage() {
        return image;
    }

    public void setImage(Image image) {
        this.image = image;
    }

}
