package com.wacom.signpro.pdf.api.example.json;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class Configuration {

    @SerializedName("show_annotate")
    @Expose
    private Boolean showAnnotate;
    @SerializedName("show_manual_signature")
    @Expose
    private Boolean showManualSignature;
    @SerializedName("error_handler_url")
    @Expose
    private Object errorHandlerUrl;
    @SerializedName("process_text_tags")
    @Expose
    private Boolean processTextTags;

    public Boolean getShowAnnotate() {
        return showAnnotate;
    }

    public void setShowAnnotate(Boolean showAnnotate) {
        this.showAnnotate = showAnnotate;
    }

    public Boolean getShowManualSignature() {
        return showManualSignature;
    }

    public void setShowManualSignature(Boolean showManualSignature) {
        this.showManualSignature = showManualSignature;
    }

    public Object getErrorHandlerUrl() {
        return errorHandlerUrl;
    }

    public void setErrorHandlerUrl(Object errorHandlerUrl) {
        this.errorHandlerUrl = errorHandlerUrl;
    }

    public Boolean getProcessTextTags() {
        return processTextTags;
    }

    public void setProcessTextTags(Boolean processTextTags) {
        this.processTextTags = processTextTags;
    }

}
