package com.wacom.signpro.pdf.api.example.json;

import java.util.List;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class JSONParam {

    @SerializedName("file")
    @Expose
    private File file;

    @SerializedName("configuration")
    @Expose
    private Configuration configuration;

    @SerializedName("signatures")
    @Expose
    private List<SignatureField> signatures;

    @SerializedName("initials")
    @Expose
    private List<InitialField> initials;

    @SerializedName("textfields")
    @Expose
    private List<TextField> textFields;

    @SerializedName("checkboxes")
    @Expose
    private List<CheckBoxField> checkBoxes;

    @Expose
    @SerializedName("radiobuttons")
    private List<RadioButtonField> radioButtons;

    @Expose
    @SerializedName("dates")
    private List<DateField> dates;

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public Configuration getConfiguration() {
        return configuration;
    }

    public void setConfiguration(Configuration configuration) {
        this.configuration = configuration;
    }

    public List<SignatureField> getSignatures() {
        return signatures;
    }

    public void setSignatures(List<SignatureField> signatures) {
        this.signatures = signatures;
    }

    public List<InitialField> getInitials() {
        return initials;
    }

    public void setInitials(List<InitialField> initials) {
        this.initials = initials;
    }

    public List<TextField> getTextFields() {
        return textFields;
    }

    public void setTextFields(List<TextField> textFields) {
        this.textFields = textFields;
    }

    public List<CheckBoxField> getCheckBoxes() {
        return checkBoxes;
    }

    public void setCheckBoxes(List<CheckBoxField> checkBoxes) {
        this.checkBoxes = checkBoxes;
    }

    public List<RadioButtonField> getRadioButtons() {
        return radioButtons;
    }

    public void setRadioButtons(List<RadioButtonField> radioButtons) {
        this.radioButtons = radioButtons;
    }

    public List<DateField> getDates() {
        return dates;
    }

    public void setDates(List<DateField> dates) {
        this.dates = dates;
    }

}
